Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-10-2018 10:05:29

tlax38
Membre
Distrib. : Debian Stretch 64bits GNOME
Inscription : 24-02-2018

Compatibilité QT - Gnome

Bonjour,
Je voudrais savoir si QT est compatible avec Gnome, si je peux l'installer car il est requis pour le paramétrage d'un jeu sur Steam.
D'avance merci.

Dernière modification par tlax38 (06-10-2018 10:16:34)


Laptop MSI GE72-2QC - Windows 10 64bits - RAM: 16 Go
Processeur: Intel Core i7-5700HQ @2.70Ghz*8
CG VGA: Intel HD Graphics 5600 (Broadwell GT2)
CG 3D: NVIDIA GM107M Geforce GTX 960M

Hors ligne

#2 06-10-2018 10:12:05

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : Compatibilité QT - Gnome

Bonjour,
On peut des logiciels utilisant les librairies qt sur Gnome et vice-versa des logiciels utilisant gtk sur KDE.
Par exemple vlc utilise des librairies qt et est utilisé par beaucoup sous Gnome. J’utilise aussi Kolourpaint de KDE sur Mate sans souci.
Il y a un paquet à installer pour harmoniser l’apparence mais je n’ai plus le nom en tête.

Hors ligne

#3 06-10-2018 10:16:13

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Compatibilité QT - Gnome

Bonjour smile

J'ai du mal a voir le rapport entre le titre du topic et la question Édit: corrigé par l'OP scratchhead.gif

Sinon, pour tenter de répondre à la question, si ce n'est que QT est assez vague comme terme, oui, tu peux installer des applications fonctionnant avec les bibliothèques QT, moyennant le fait quentu risque d'installer un tas de dépendances et donc, de prendre pas mao d'espace disque supplémentaire.

Je ne sais pas ce que ça peut donner en terme de graphisme, mais il n'y a pas d'incompatibilité.

Pour plus de précision, essaye l'installation avec l'option de simulation (-s) wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

Hors ligne

#4 06-10-2018 10:55:21

zorzi
Membre
Lieu : Dijon
Distrib. : Debian Stable Xfce
Inscription : 30-09-2015

Re : Compatibilité QT - Gnome

chalu a écrit :

Bonjour,
On peut des logiciels utilisant les librairies qt sur Gnome et vice-versa des logiciels utilisant gtk sur KDE.
Par exemple vlc utilise des librairies qt et est utilisé par beaucoup sous Gnome. J’utilise aussi Kolourpaint de KDE sur Mate sans souci.
Il y a un paquet à installer pour harmoniser l’apparence mais je n’ai plus le nom en tête.



Je crois qu'il s'agît de qt5ct associé à qt5-style-plugins pour les applis comme vlc, virtualbox, qpdfview...

Et qt4-qtconfig pour les applis qt plus "anciennes" comme Clémentine...


Desktop: HP Pavilion a6435 (AMD Phenom 9600 2,3Ghz - Nvidia Quadro 2000 - Ram 8 Go - DD 500 Go) / Debian Stable XFCE

Hors ligne

#5 06-10-2018 11:01:48

tlax38
Membre
Distrib. : Debian Stretch 64bits GNOME
Inscription : 24-02-2018

Re : Compatibilité QT - Gnome

J'ai corrigé le titre, il est maintenant cohérent avec la question.

Laptop MSI GE72-2QC - Windows 10 64bits - RAM: 16 Go
Processeur: Intel Core i7-5700HQ @2.70Ghz*8
CG VGA: Intel HD Graphics 5600 (Broadwell GT2)
CG 3D: NVIDIA GM107M Geforce GTX 960M

Hors ligne

#6 06-10-2018 13:14:31

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : Compatibilité QT - Gnome

Et alors qu’en est-il ? Quel logiciel veux tu installer ? Et quel est le problème ?

Hors ligne

#7 06-10-2018 19:05:59

tlax38
Membre
Distrib. : Debian Stretch 64bits GNOME
Inscription : 24-02-2018

Re : Compatibilité QT - Gnome

J'ai un problème avec un jeu Steam ("Mount & Blade: Warband"), je n'arrive pas à lancer son configurateur et la solution consisterait à "télécharger qt4".

Laptop MSI GE72-2QC - Windows 10 64bits - RAM: 16 Go
Processeur: Intel Core i7-5700HQ @2.70Ghz*8
CG VGA: Intel HD Graphics 5600 (Broadwell GT2)
CG 3D: NVIDIA GM107M Geforce GTX 960M

Hors ligne

Pied de page des forums